# Transfer ERC1155

Use this method to transfer an ERC1155 Token.&#x20;

{% hint style="info" %}
You are only able to transfer ERC721 tokens, which is in your developer wallet and the collection use Altura services.
{% endhint %}

### Usage in your script

{% tabs %}
{% tab title="JavaScript" %}

```javascript
const response = await altura.transferItem(
    COLLECTION_ADDRESS,
    TOKEN_ID,
    AMOUNT,
    TO_ADDRESS
);

const txHash = response.txHash;
```

{% endtab %}

{% tab title="TypeScript" %}

```typescript
const response: { txHash: string } = await altura.transferItem(
    COLLECTION_ADDRESS,
    TOKEN_ID,
    AMOUNT,
    TO_ADDRESS
);

const txHash = response.txHash;
```

{% endtab %}
{% endtabs %}

### **Parameters**

<table><thead><tr><th width="193.33333333333331">Parameter</th><th width="105">Type</th><th width="109">Required</th><th>Description</th></tr></thead><tbody><tr><td>collection_addr</td><td><strong>String</strong></td><td><strong>Yes</strong></td><td>The item's collection address</td></tr><tr><td>token_id</td><td><strong>number</strong></td><td><strong>Yes</strong></td><td>The item's tokenId</td></tr><tr><td>amount</td><td><strong>number</strong></td><td><strong>Yes</strong></td><td>The quantity of this particular item you wish to transfer. This operation will fail if you try to transfer more than your balance</td></tr><tr><td>to_addr</td><td><strong>String</strong></td><td><strong>Yes</strong></td><td>The recipient's EVM-compatible address (0x...)</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/js-sdk-reference/developer-wallet-methods/transfer-erc1155.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
